diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/RichTextWithLabelElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/RichTextWithLabelElement.java
index ecad572c1..9e0ed2877 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/RichTextWithLabelElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/RichTextWithLabelElement.java
@@ -3,45 +3,23 @@
  */
 package eu.etaxonomy.taxeditor.ui.element;
 
-import java.awt.Point;
-
-import org.eclipse.jface.dialogs.MessageDialog;
 import org.eclipse.jface.layout.GridDataFactory;
-import org.eclipse.jface.viewers.CellEditor.LayoutData;
 //import org.eclipse.nebula.widgets.richtext.RichTextEditor;
 //import org.eclipse.nebula.widgets.richtext.RichTextEditorConfiguration;
 //import org.eclipse.nebula.widgets.richtext.toolbar.ToolbarButton;
 //import org.eclipse.nebula.widgets.richtext.toolbar.ToolbarConfiguration;
 import org.eclipse.swt.SWT;
-import org.eclipse.swt.events.KeyAdapter;
-import org.eclipse.swt.events.KeyEvent;
-import org.eclipse.swt.events.ModifyEvent;
-import org.eclipse.swt.events.ModifyListener;
-import org.eclipse.swt.events.SelectionAdapter;
-import org.eclipse.swt.events.SelectionEvent;
-import org.eclipse.swt.graphics.Color;
 import org.eclipse.swt.layout.GridLayout;
-import org.eclipse.swt.layout.RowLayout;
-import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
-import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Label;
-import org.eclipse.swt.widgets.Listener;
 import org.eclipse.swt.widgets.Text;
-import org.eclipse.ui.forms.widgets.TableWrapData;
-import org.eclipse.ui.forms.widgets.TableWrapLayout;
-
-import eu.etaxonomy.cdm.common.CdmUtils;
-import eu.etaxonomy.taxeditor.preference.Resources;
 
 /**
  * @author n.hoffmann
- * @version $Id: $
  */
 public class RichTextWithLabelElement{ //extends AbstractCdmFormElement implements ModifyListener, IEnableableFormElement,
    //     ISelectable {
 
-    
     //protected RichTextEditor richtextEditor;
     private Label label;
     private boolean buttonVisible = true;
@@ -86,12 +64,12 @@ public class RichTextWithLabelElement{ //extends AbstractCdmFormElement implemen
             boolean isMultiLine, int style, Composite layoutComposite) {
     	layoutComposite.setLayout(new GridLayout(1, true));
 
-		
+
 //		ToolbarConfiguration toolBarConfig = new ToolbarConfiguration();
-//		
+//
 //		RichTextEditorConfiguration config = new RichTextEditorConfiguration();
 //		config.setMinSize(800, 600);
-//		
+//
 //		final RichTextEditor editor = new RichTextEditor(layoutComposite, config);
 //		GridDataFactory.fillDefaults().grab(true, true).applyTo(editor);
 //		//editor.setText(initialText);
@@ -101,9 +79,9 @@ public class RichTextWithLabelElement{ //extends AbstractCdmFormElement implemen
 				SWT.MULTI | SWT.BORDER | SWT.WRAP | SWT.V_SCROLL | SWT.READ_ONLY);
 		GridDataFactory.fillDefaults().grab(true, false).hint(SWT.DEFAULT, 100).applyTo(htmlOutput);
 		htmlOutput.setEditable(true);
-		
-		
-		
+
+
+
 //		editor.addModifyListener(new ModifyListener() {
 //
 //			@Override
@@ -119,7 +97,7 @@ public class RichTextWithLabelElement{ //extends AbstractCdmFormElement implemen
 //			public void keyPressed(KeyEvent e) {
 //				org.eclipse.swt.graphics.Point point = htmlOutput.getSelection();
 //				htmlOutput.setText(htmlOutput.getText() + " - " + point.x + ":"+point.y);
-//			
+//
 //			}
 //		});
 
@@ -133,23 +111,23 @@ public class RichTextWithLabelElement{ //extends AbstractCdmFormElement implemen
 //		});
 
 		// add additional controls for showing interactions
-	
-//    	  createControlPanel(layoutComposite, editor, textHeight); 
-        	 
+
+//    	  createControlPanel(layoutComposite, editor, textHeight);
+
     }
-    
-//    protected void createControlPanel(Composite parent, final RichTextEditor editor, int textHeight) { 
-//    	  Composite controlPanel = new Composite(parent, SWT.NONE); 
+
+//    protected void createControlPanel(Composite parent, final RichTextEditor editor, int textHeight) {
+//    	  Composite controlPanel = new Composite(parent, SWT.NONE);
 //    	  TableWrapLayout layout;
 //    	  layout = LayoutConstants.LAYOUT(3, false);
-//    	  controlPanel.setLayout(layout); 
-//    	  GridDataFactory.fillDefaults().grab(true, false).applyTo(controlPanel); 
-//    	 
-//    	  Label inputLabel = new Label(controlPanel, SWT.NONE); 
-//    	  inputLabel.setText("Text to set:"); 
-//    //	  GridDataFactory.fillDefaults().applyTo(inputLabel); 
-//    	 
-//    	  Text input = new Text(controlPanel, SWT.BORDER); 
+//    	  controlPanel.setLayout(layout);
+//    	  GridDataFactory.fillDefaults().grab(true, false).applyTo(controlPanel);
+//
+//    	  Label inputLabel = new Label(controlPanel, SWT.NONE);
+//    	  inputLabel.setText("Text to set:");
+//    //	  GridDataFactory.fillDefaults().applyTo(inputLabel);
+//
+//    	  Text input = new Text(controlPanel, SWT.BORDER);
 //    	  TableWrapData layoutData;
 //    	  if(isMultiLine){
 //              layoutData = LayoutConstants.FILL_HORIZONTALLY(2, 1);
@@ -158,94 +136,94 @@ public class RichTextWithLabelElement{ //extends AbstractCdmFormElement implemen
 //              layoutData = LayoutConstants.FILL();
 //          }
 //    	  input.setLayoutData(layoutData);
-//    //	  GridDataFactory.fillDefaults().grab(true, false).applyTo(input); 
-//    	 
-//    	  input.addKeyListener(new KeyAdapter() { 
-//    	   @Override 
-//    	   public void keyPressed(KeyEvent e) { 
-//    	    if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) { 
-//    	     editor.setText(input.getText()); 
-//    	    } 
-//    	   } 
-//    	  }); 
-//    	 
-//    	  Button setButton = new Button(controlPanel, SWT.PUSH); 
-//    	  setButton.setText("Set Text"); 
-//    	//  GridDataFactory.defaultsFor(setButton).applyTo(setButton); 
-//    	 
-//    	  setButton.addSelectionListener(new SelectionAdapter() { 
-//    	   @Override 
-//    	   public void widgetSelected(SelectionEvent e) { 
-//    	    editor.setText(input.getText()); 
-//    	   } 
-//    	  }); 
-//    	 
-//    	  Composite buttonPanel = new Composite(controlPanel, SWT.NONE); 
-//    	  buttonPanel.setLayout(new RowLayout()); 
-//    	 // GridDataFactory.fillDefaults().grab(true, false).span(3, 1).applyTo(buttonPanel); 
-//    	 
-//    	  Button getButton = new Button(buttonPanel, SWT.PUSH); 
-//    	  getButton.setText("Get text"); 
-//    	  getButton.addSelectionListener(new SelectionAdapter() { 
-//    	   @Override 
-//    	   public void widgetSelected(SelectionEvent e) { 
-//    	    MessageDialog.openInformation(null, "Editor Input", 
-//    	      editor.getText()); 
-//    	   } 
-//    	  }); 
-//    	 
-//    	  final Button enableButton = new Button(buttonPanel, SWT.PUSH); 
-//    	  enableButton.setText("Disable"); 
-//    	  enableButton.addSelectionListener(new SelectionAdapter() { 
-//    	   @Override 
-//    	   public void widgetSelected(SelectionEvent e) { 
-//    	    boolean editable = editor.isEditable(); 
-//    	    editor.setEditable(!editable); 
-//    	 
-//    	    enableButton.setText(editable ? "Enable" : "Disable"); 
-//    	   } 
-//    	  }); 
-//    	 
-//    	  final Button updateButton = new Button(buttonPanel, SWT.PUSH); 
-//    	  updateButton.setText("Update Toolbar"); 
-//    	 
-//    	  final ToolbarButton button = new ToolbarButton("javaButton", 
-//    	    "myJavaCommand", "Execute Java", "other", 
-//    	    null) { 
-//    	 
-//    	   @Override 
-//    	   public Object execute() { 
-//    	    MessageDialog.openInformation(null, "Information", 
-//    	      "Java callback: " + editor.getSelectedHTML()); 
-//    	 
-//    	    editor.insertHTML("<em>" + editor.getSelectedHTML() + "</em>"); 
-//    	    return null; 
-//    	   } 
-//    	  }; 
-//    	 
-//    	  updateButton.addSelectionListener(new SelectionAdapter() { 
-//    	   @Override 
-//    	   public void widgetSelected(SelectionEvent e) { 
-//    	    if (!buttonVisible) { 
-//    	     editor.addToolbarButton(button); 
-//    	    } else { 
-//    	     editor.removeToolbarButton(button); 
-//    	    } 
-//    	    buttonVisible = !buttonVisible; 
-//    	    editor.updateToolbar(); 
-//    	   } 
-//    	  }); 
-//    	 
-//    	  Button setFocusButton = new Button(buttonPanel, SWT.PUSH); 
-//    	  setFocusButton.setText("Set Focus"); 
-//    	  setFocusButton.addSelectionListener(new SelectionAdapter() { 
-//    	   @Override 
-//    	   public void widgetSelected(SelectionEvent e) { 
-//    	    editor.setFocus(); 
-//    	   } 
-//    	  }); 
-//    	 
-//    	 } 
+//    //	  GridDataFactory.fillDefaults().grab(true, false).applyTo(input);
+//
+//    	  input.addKeyListener(new KeyAdapter() {
+//    	   @Override
+//    	   public void keyPressed(KeyEvent e) {
+//    	    if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
+//    	     editor.setText(input.getText());
+//    	    }
+//    	   }
+//    	  });
+//
+//    	  Button setButton = new Button(controlPanel, SWT.PUSH);
+//    	  setButton.setText("Set Text");
+//    	//  GridDataFactory.defaultsFor(setButton).applyTo(setButton);
+//
+//    	  setButton.addSelectionListener(new SelectionAdapter() {
+//    	   @Override
+//    	   public void widgetSelected(SelectionEvent e) {
+//    	    editor.setText(input.getText());
+//    	   }
+//    	  });
+//
+//    	  Composite buttonPanel = new Composite(controlPanel, SWT.NONE);
+//    	  buttonPanel.setLayout(new RowLayout());
+//    	 // GridDataFactory.fillDefaults().grab(true, false).span(3, 1).applyTo(buttonPanel);
+//
+//    	  Button getButton = new Button(buttonPanel, SWT.PUSH);
+//    	  getButton.setText("Get text");
+//    	  getButton.addSelectionListener(new SelectionAdapter() {
+//    	   @Override
+//    	   public void widgetSelected(SelectionEvent e) {
+//    	    MessageDialog.openInformation(null, "Editor Input",
+//    	      editor.getText());
+//    	   }
+//    	  });
+//
+//    	  final Button enableButton = new Button(buttonPanel, SWT.PUSH);
+//    	  enableButton.setText("Disable");
+//    	  enableButton.addSelectionListener(new SelectionAdapter() {
+//    	   @Override
+//    	   public void widgetSelected(SelectionEvent e) {
+//    	    boolean editable = editor.isEditable();
+//    	    editor.setEditable(!editable);
+//
+//    	    enableButton.setText(editable ? "Enable" : "Disable");
+//    	   }
+//    	  });
+//
+//    	  final Button updateButton = new Button(buttonPanel, SWT.PUSH);
+//    	  updateButton.setText("Update Toolbar");
+//
+//    	  final ToolbarButton button = new ToolbarButton("javaButton",
+//    	    "myJavaCommand", "Execute Java", "other",
+//    	    null) {
+//
+//    	   @Override
+//    	   public Object execute() {
+//    	    MessageDialog.openInformation(null, "Information",
+//    	      "Java callback: " + editor.getSelectedHTML());
+//
+//    	    editor.insertHTML("<em>" + editor.getSelectedHTML() + "</em>");
+//    	    return null;
+//    	   }
+//    	  };
+//
+//    	  updateButton.addSelectionListener(new SelectionAdapter() {
+//    	   @Override
+//    	   public void widgetSelected(SelectionEvent e) {
+//    	    if (!buttonVisible) {
+//    	     editor.addToolbarButton(button);
+//    	    } else {
+//    	     editor.removeToolbarButton(button);
+//    	    }
+//    	    buttonVisible = !buttonVisible;
+//    	    editor.updateToolbar();
+//    	   }
+//    	  });
+//
+//    	  Button setFocusButton = new Button(buttonPanel, SWT.PUSH);
+//    	  setFocusButton.setText("Set Focus");
+//    	  setFocusButton.addSelectionListener(new SelectionAdapter() {
+//    	   @Override
+//    	   public void widgetSelected(SelectionEvent e) {
+//    	    editor.setFocus();
+//    	   }
+//    	  });
+//
+//    	 }
 //
 //    protected void initLabel(CdmFormFactory formFactory, String labelString, boolean isMultiLine, Composite layoutComposite) {
 //        if (labelString != null) {
@@ -262,8 +240,8 @@ public class RichTextWithLabelElement{ //extends AbstractCdmFormElement implemen
 //        }
 //    }
 //
-//   
-//    
+//
+//
 //
 //    /** {@inheritDoc} */
 //    @Override
@@ -281,13 +259,13 @@ public class RichTextWithLabelElement{ //extends AbstractCdmFormElement implemen
 //	@Override
 //	public void setIrrelevant(boolean irrelevant) {
 //		// TODO Auto-generated method stub
-//		
+//
 //	}
 //
 //	@Override
 //	public void setEnabled(boolean enabled) {
 //		// TODO Auto-generated method stub
-//		
+//
 //	}
 //
 //	@Override
@@ -299,8 +277,8 @@ public class RichTextWithLabelElement{ //extends AbstractCdmFormElement implemen
 //	@Override
 //	public void modifyText(ModifyEvent e) {
 //		// TODO Auto-generated method stub
-//		
+//
 //	}
 
-   
+
 }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/TextActionElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/TextActionElement.java
index aadf8713e..300ef1546 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/TextActionElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/TextActionElement.java
@@ -1,5 +1,5 @@
 /**
- * 
+ *
  */
 package eu.etaxonomy.taxeditor.ui.element;
 
@@ -19,7 +19,6 @@ import eu.etaxonomy.cdm.common.CdmUtils;
  * <p>TextActionElement class.</p>
  *
  * @author nho
- * @version $Id: $
  */
 public class TextActionElement extends AbstractCdmFormElement implements ModifyListener, ISelectable{
 
@@ -40,21 +39,21 @@ public class TextActionElement extends AbstractCdmFormElement implements ModifyL
 	 */
 	protected TextActionElement(CdmFormFactory toolkit, ICdmFormElement parentElement, String labelString, String buttonLabel, String initialText, int style) {
 		super(toolkit, parentElement);
-		
+
 		label = toolkit.createLabel(getLayoutComposite(), labelString, SWT.WRAP);
 		addControl(label);
-		
+
 		box = formFactory.createComposite(getLayoutComposite());
 		box.setLayout(LayoutConstants.LAYOUT(2, false));
 		box.setLayoutData(LayoutConstants.FILL_HORIZONTALLY());
 		addControl(box);
-		
+
 		text = toolkit.createText(box, "", style);
 		addControl(text);
 		text.setLayoutData(LayoutConstants.FILL_HORIZONTALLY());
-		
+
 		setText(CdmUtils.Nz(initialText));
-		
+
 		button = toolkit.createButton(box, buttonLabel, SWT.PUSH);
 		addControl(button);
 	}
@@ -95,14 +94,11 @@ public class TextActionElement extends AbstractCdmFormElement implements ModifyL
 		button.removeSelectionListener(listener);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.swt.events.ModifyListener#modifyText(org.eclipse.swt.events.ModifyEvent)
-	 */
-	/** {@inheritDoc} */
-	public void modifyText(ModifyEvent e) {
+	@Override
+    public void modifyText(ModifyEvent e) {
 		propertyChange(null);
 	}
-	
+
 	/**
 	 * <p>addModifyListener</p>
 	 *
@@ -111,7 +107,7 @@ public class TextActionElement extends AbstractCdmFormElement implements ModifyL
 	public void addModifyListener(ModifyListener listener){
 		text.addModifyListener(listener);
 	}
-	
+
 	/**
 	 * <p>removeModifyListener</p>
 	 *
@@ -120,13 +116,12 @@ public class TextActionElement extends AbstractCdmFormElement implements ModifyL
 	public void removeModifyListener(ModifyListener listener){
 		text.removeModifyListener(listener);
 	}
-	
-	/** {@inheritDoc} */
+
 	@Override
 	public void setBackground(Color color) {
 		label.setBackground(color);
 	}
-	
+
 	@Override
 	public void setSelected(boolean selected) {
 		setBackground(selected ? SELECTED : getPersistentBackground());
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/TextWithLabelElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/TextWithLabelElement.java
index 6ddbe9f9e..ffaeb6126 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/TextWithLabelElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/TextWithLabelElement.java
@@ -21,7 +21,6 @@ import eu.etaxonomy.taxeditor.store.StoreUtil;
 
 /**
  * @author n.hoffmann
- * @version $Id: $
  */
 public class TextWithLabelElement extends AbstractCdmFormElement implements ModifyListener, IEnableableFormElement,
         ISelectable {
@@ -158,7 +157,6 @@ public class TextWithLabelElement extends AbstractCdmFormElement implements Modi
         StoreUtil.setTextWithoutModifyListeners(text, string);
     }
 
-    /** {@inheritDoc} */
     @Override
     public void modifyText(ModifyEvent e) {
         if(e.widget==text && !isMultiLine){
@@ -180,7 +178,6 @@ public class TextWithLabelElement extends AbstractCdmFormElement implements Modi
         firePropertyChangeEvent(new CdmPropertyChangeEvent(this, e));
     }
 
-    /** {@inheritDoc} */
     @Override
     public void setEnabled(boolean enabled) {
         text.setEnabled(enabled);
@@ -193,7 +190,6 @@ public class TextWithLabelElement extends AbstractCdmFormElement implements Modi
         return text.isEnabled();
     }
 
-    /** {@inheritDoc} */
     @Override
     public void setIrrelevant(boolean irrelevant) {
         String colorId = irrelevant ? Resources.COLOR_COMPOSITE_IRRELEVANT : Resources.COLOR_COMPOSITE_BACKGROUND;
@@ -202,7 +198,6 @@ public class TextWithLabelElement extends AbstractCdmFormElement implements Modi
         text.setBackground(color);
     }
 
-    /** {@inheritDoc} */
     @Override
     public void setBackground(Color color) {
         if (label != null) {
@@ -215,7 +210,6 @@ public class TextWithLabelElement extends AbstractCdmFormElement implements Modi
         setBackground(selected ? SELECTED : getPersistentBackground());
     }
 
-    /** {@inheritDoc} */
     @Override
     public void setFocus() {
         text.setFocus();
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/mvc/element/TextWithLabelElementController.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/mvc/element/TextWithLabelElementController.java
index 9c31ae1a4..91413df91 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/mvc/element/TextWithLabelElementController.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/mvc/element/TextWithLabelElementController.java
@@ -28,7 +28,6 @@ import eu.etaxonomy.taxeditor.ui.mvc.interfaces.CdmCompositeController;
  * </p>
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class TextWithLabelElementController extends AbstractCdmFormElement implements ModifyListener, IEnableableFormElement,
         ISelectable, CdmCompositeController {
@@ -119,20 +118,11 @@ public class TextWithLabelElementController extends AbstractCdmFormElement imple
         StoreUtil.setTextWithoutModifyListeners(text, string);
     }
 
-    /*
-     * (non-Javadoc)
-     *
-     * @see
-     * org.eclipse.swt.events.ModifyListener#modifyText(org.eclipse.swt.events
-     * .ModifyEvent)
-     */
-    /** {@inheritDoc} */
     @Override
     public void modifyText(ModifyEvent e) {
         firePropertyChangeEvent(new CdmPropertyChangeEvent(this, e));
     }
 
-    /** {@inheritDoc} */
     @Override
     public void setEnabled(boolean enabled) {
         text.setEnabled(enabled);
@@ -140,15 +130,11 @@ public class TextWithLabelElementController extends AbstractCdmFormElement imple
         text.setForeground(getColor(symbolicName));
     }
 
-    /* (non-Javadoc)
-     * @see eu.etaxonomy.taxeditor.ui.element.IEnableableFormElement#isEnabled()
-     */
     @Override
     public boolean isEnabled() {
         return text.isEnabled();
     }
 
-    /** {@inheritDoc} */
     @Override
     public void setIrrelevant(boolean irrelevant) {
         String colorId = irrelevant ? Resources.COLOR_COMPOSITE_IRRELEVANT : Resources.COLOR_COMPOSITE_BACKGROUND;
@@ -157,7 +143,6 @@ public class TextWithLabelElementController extends AbstractCdmFormElement imple
         text.setBackground(color);
     }
 
-    /** {@inheritDoc} */
     @Override
     public void setBackground(Color color) {
 //        if (label != null) {
@@ -170,12 +155,6 @@ public class TextWithLabelElementController extends AbstractCdmFormElement imple
         setBackground(selected ? SELECTED : getPersistentBackground());
     }
 
-    /*
-     * (non-Javadoc)
-     *
-     * @see eu.etaxonomy.taxeditor.forms.AbstractCdmFormElement#setFocus()
-     */
-    /** {@inheritDoc} */
     @Override
     public void setFocus() {
         text.setFocus();
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionSection.java
index 7ea27db1e..c784cb5be 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractEntityCollectionSection.java
@@ -54,9 +54,7 @@ import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
  * @param <ELEMENT> An element that can be added (multiple times) to this entity.
  *
  * @author n.hoffmann
- * @version $Id: $
  */
-
 public abstract class AbstractEntityCollectionSection<ENTITY, ELEMENT> extends AbstractFormSection<ENTITY> implements IExpansionListener, Observer {
 
     private static final EnumSet<CRUD> UPDATE = EnumSet.of(CRUD.UPDATE);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/ITaxonBaseDetailSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/ITaxonBaseDetailSection.java
index f8436d5bf..8ccac28ac 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/ITaxonBaseDetailSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/ITaxonBaseDetailSection.java
@@ -6,7 +6,6 @@ import eu.etaxonomy.cdm.model.taxon.TaxonBase;
  * <p>ITaxonDetailSection interface.</p>
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public interface ITaxonBaseDetailSection{
 
@@ -17,9 +16,5 @@ public interface ITaxonBaseDetailSection{
 	 */
 	public abstract void setTaxonBase(TaxonBase taxon);
 
-	/**
-	 * 
-	 * @return
-	 */
 	public abstract TaxonBase getTaxonBase();
 }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/StatisticalMeasurementValueElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/StatisticalMeasurementValueElement.java
index 17bbd3964..2f46a6a7b 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/StatisticalMeasurementValueElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/StatisticalMeasurementValueElement.java
@@ -32,7 +32,6 @@ import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
  *
  * @author n.hoffmann
  * @created Sep 15, 2010
- * @version 1.0
  */
 public class StatisticalMeasurementValueElement extends
 		AbstractEntityCollectionElement<StatisticalMeasurementValue> {
@@ -56,7 +55,6 @@ public class StatisticalMeasurementValueElement extends
 		super(formFactory, section, entity, removeListener, null, style);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void setEntity(StatisticalMeasurementValue entity) {
 		this.entity = entity;
@@ -67,7 +65,6 @@ public class StatisticalMeasurementValueElement extends
 		section_modifiers.setEntity(entity);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void createControls(ICdmFormElement element, int style) {
 		number_value = formFactory.createBigDecimalTextWithLabelElement(element, "Value", 0, style);
@@ -76,7 +73,6 @@ public class StatisticalMeasurementValueElement extends
 		section_modifiers.setLayoutData(LayoutConstants.FILL_HORIZONTALLY(2, 1));
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void handleEvent(Object eventSource) {
 		if(eventSource == number_value){
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/CategoricalDataDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/CategoricalDataDetailElement.java
index c01d79a02..e348c51d1 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/CategoricalDataDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/CategoricalDataDetailElement.java
@@ -15,7 +15,6 @@ import eu.etaxonomy.taxeditor.ui.section.description.StateDataSection;
  * <p>CategoricalDataDetailElement class.</p>
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class CategoricalDataDetailElement extends AbstractDetailedDescriptionDetailElement<CategoricalData> {
 
@@ -35,7 +34,6 @@ public class CategoricalDataDetailElement extends AbstractDetailedDescriptionDet
 		super(formFactory, formElement, entity, style);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected void createControls(ICdmFormElement formElement,
 			CategoricalData entity, int style) {
@@ -52,10 +50,6 @@ public class CategoricalDataDetailElement extends AbstractDetailedDescriptionDet
 		}
 	}
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement#handleEvent(java.lang.Object)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public void handleEvent(Object eventSource) {
 	    super.handleEvent(eventSource);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/QuantitativeDataDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/QuantitativeDataDetailElement.java
index 6430a94f8..98de82f34 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/QuantitativeDataDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/detail/QuantitativeDataDetailElement.java
@@ -19,7 +19,6 @@ import eu.etaxonomy.taxeditor.ui.section.description.StatisticalMeasurementValue
  * <p>QuantitativeDataDetailElement class.</p>
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class QuantitativeDataDetailElement extends
 		AbstractDetailedDescriptionDetailElement<QuantitativeData> {
@@ -40,7 +39,6 @@ public class QuantitativeDataDetailElement extends
 		super(formFactory, formElement, entity, style);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected void createControls(ICdmFormElement formElement,
 			QuantitativeData entity, int style) {
@@ -57,7 +55,6 @@ public class QuantitativeDataDetailElement extends
         }
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void handleEvent(Object eventSource) {
 		if(eventSource == comboMeasurementUnit){
@@ -67,5 +64,4 @@ public class QuantitativeDataDetailElement extends
 			// FIXME
 		}
 	}
-
 }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/operation/ChangeDescriptionElementType.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/operation/ChangeDescriptionElementType.java
index 9c6a09902..b9aa72f3d 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/operation/ChangeDescriptionElementType.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/operation/ChangeDescriptionElementType.java
@@ -37,7 +37,6 @@ import eu.etaxonomy.taxeditor.view.e4.details.DetailsPartE4;
  *
  * @author e.-m.lee
  * @date 25.05.2010
- * @version $Id: $
  */
 public class ChangeDescriptionElementType extends AbstractPostTaxonOperation {
 
@@ -62,14 +61,10 @@ public class ChangeDescriptionElementType extends AbstractPostTaxonOperation {
 		}
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#execute(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
-		DescriptionBase inDescription = sourceElement.getInDescription();
+		DescriptionBase<?> inDescription = sourceElement.getInDescription();
 		Feature feature = sourceElement.getFeature();
 
 		if(sourceElement instanceof TextData){
@@ -111,20 +106,12 @@ public class ChangeDescriptionElementType extends AbstractPostTaxonOperation {
 		return postExecute(destinationElement);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#redo(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
 		return null;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#undo(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/media/MediaRepresentationPartSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/media/MediaRepresentationPartSection.java
index 4cda88d81..0905bf963 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/media/MediaRepresentationPartSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/media/MediaRepresentationPartSection.java
@@ -20,7 +20,6 @@ import eu.etaxonomy.taxeditor.ui.section.DefaultCdmBaseComparator;
  * <p>MediaRepresentationPartSection class.</p>
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class MediaRepresentationPartSection extends
 		AbstractEntityCollectionSection<MediaRepresentation, MediaRepresentationPart> {
@@ -39,20 +38,16 @@ public class MediaRepresentationPartSection extends
 		formFactory.addPropertyChangeListener(this);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void addElement(MediaRepresentationPart element) {
 		getEntity().addRepresentationPart(element);
 	}
-
-	/** {@inheritDoc} */
 	@Override
 	public MediaRepresentationPart createNewElement() {
 		// FIXME we are supporting image only at the moment
 		return ImageFile.NewInstance(null, null);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public Collection<MediaRepresentationPart> getCollection(
 			MediaRepresentation entity) {
@@ -64,19 +59,16 @@ public class MediaRepresentationPartSection extends
         return new DefaultCdmBaseComparator<>();
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public String getEmptyString() {
 		return "No media representation parts yet.";
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected String getTooltipString() {
 		return "Create new media representation part.";
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void removeElement(MediaRepresentationPart element) {
 		getEntity().removeRepresentationPart(element);
@@ -94,17 +86,11 @@ public class MediaRepresentationPartSection extends
 		}
 	}
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public MediaRepresentationPart addExisting() {
         return null;
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public boolean allowAddExisting() {
         return false;
